<?php
if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
	die ('Please do not load this page directly. Thanks!');
if ( post_password_required() ) { ?>
<div class="main-con-text"><?php _e('This post is password protected. Enter the password to view comments.'); ?></div>
<?php
	return;
}
?>

<?php if ('open' == $post->ping_status) : ?>
<div class="main-con-title"><h3><?php _e('Trackback URL') ?></h3></div>
<input onfocus="this.select()" readonly="readonly" value="<?php trackback_url(); ?>" name="tb_url" accesskey="x" size="70" style="margin-top : 5px;"/>
<?php endif; ?>

<?php if ( have_comments() ) : ?>
<div class="main-con-title"><h3><?php comments_number(__('No Comment', '1 Comment', '% Comments' ));?></h3></div>
<ol class="commentlist">
<?php wp_list_comments(array('callback' => 'smooth_comment', 'style' => 'li')); ?>
</ol>
<div class="content-nav">
<div class="content-nav_left"><?php previous_comments_link() ?></div>
<div class="content-nav_right"><?php next_comments_link() ?></div>
</div>
<?php else : ?>

<?php if ( comments_open() ) : ?>
<div class="main-con-text"><?php _e("Be the first to respond!"); ?></div>
<?php endif; ?>
<?php endif; ?>

<?php if ( comments_open() ) : ?>
<div id="respond">
<div class="main-con-title"><h3><?php _e('Leave a Reply'); ?></h3></div>
<p class="cancel-comment-reply"><?php cancel_comment_reply_link(); ?></p>

<?php if ( get_option('comment_registration') && !is_user_logged_in() ) : ?>
<div class="main-con-text"><?php _e('You must be'); ?> <a href="<?php echo wp_login_url( get_permalink() ); ?>"><?php _e('logged in'); ?></a> <?php _e('to post a comment'); ?>.</div>
<?php else : ?>

<div class="comments_form">
<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
<?php if ( is_user_logged_in() ) : ?>
<div class="main-con-text"><?php _e('Logged in as'); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="<?php _e('Log out of this account'); ?>"><?php _e('Log out'); ?> &raquo;</a></div>
<?php else : ?>
<div class="main-con-text"><input type="text" name="author" id="author" value="<?php echo esc_attr($comment_author); ?>" size="35" tabindex="1" />
<label for="author"><?php _e('Name'); ?> <?php if ($req) echo "(".__('required').")"; ?></label></div>

<div class="main-con-text"><input type="text" name="email" id="email" value="<?php echo esc_attr($comment_author_email); ?>" size="35" tabindex="2" />
<label for="email"><?php _e('Mail'); ?> <?php if ($req) echo "(".__('required').")"; ?></label></div>

<div class="main-con-text"><input type="text" name="url" id="url" value="<?php echo esc_attr($comment_author_url); ?>" size="35" tabindex="3" />
<label for="url"><?php _e('Website'); ?></label></div>
<?php endif; ?>
							
<p><textarea name="comment" id="comment" cols="52" rows="10" tabindex="4"></textarea></p>
				
<?php if (function_exists(show_subscription_checkbox)) show_subscription_checkbox(); ?>
				
<p><input name="submit" type="submit" id="submit" tabindex="5" value="<?php _e('Submit Comment'); ?>" class="submit" />
<?php comment_id_fields(); ?><?php do_action('comment_form', $post->ID); ?></p>
				
</form>
</div>

<?php endif; // If registration required and not logged in ?>
</div>
<?php else : // comments are closed ?>

<div class="main-con-text"><?php _e('Comments are closed.'); ?></div>

<?php endif; ?>